Bug 1292290 - Security: Run abrt-dump-journal-* processes as non-root user (e.g. abrt)
Security: Run abrt-dump-journal-* processes as non-root user (e.g. abrt)
Status: NEW
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 17:32 EST by Christian Stadelmann
Modified: 2018-01-29 13:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-12-16 17:32:58 EST
Description of problem:
The applications
/usr/bin/abrt-dump-journal-core
/usr/bin/abrt-dump-journal-oops
/usr/bin/abrt-dump-journal-xorg
are running as root on an F23 installation by default. Since they just read syslog (no privileges needed) they could run as non-root user. Since they parse huge amounts unknown and probably untrusted data they should not run as root.

Version-Release number of selected component (if applicable):
abrt-2.7.1-1.fc23.x86_64
libreport-2.6.3-1.fc23.x86_64

How reproducible:
always
Comment 1 Christian Stadelmann 2016-09-28 15:29:06 EDT
Same situation in F25.
Comment 2 Fedora End Of Life 2017-11-16 14:28:35 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.